Bug 967025 - oddjob can not be enabled via systemctl
oddjob can not be enabled via systemctl
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: oddjob (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Nalin Dahyabhai
Ondrej Moriš
:
Depends On: 963722
Blocks: 967023
  Show dependency treegraph
 
Reported: 2013-05-24 10:31 EDT by Patrik Kis
Modified: 2014-06-13 07:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: oddjob-0.31.4-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 963722
Environment:
Last Closed: 2014-06-13 07:20:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrik Kis 2013-05-24 10:31:14 EDT
This bug is cloned to make sure that this fix is propagated also to RHEL-7.0.

+++ This bug was initially created as a clone of Bug #963722 +++

Description of problem:
I believe oddjob supposed to start based on d-bus request but currently it can be started only as a normal service and on top of that it cannot be enabled (it does not survive reboot).

Version-Release number of selected component (if applicable):
oddjob-0.31.3-3.fc19

How reproducible:
always

Steps to Reproduce:

# useradd -M qwe
# ls /home/qwe
ls: cannot access /home/qwe: No such file or directory
#
# su - qwe
org.freedesktop.DBus.Error.ServiceUnknown: The name com.redhat.oddjob_mkhomedir was not provided by any .service files
Last login: Thu May 16 15:15:17 CEST 2013 on pts/1
su: warning: cannot change directory to /home/qwe: No such file or directory
-bash-4.2$ pwd
/root
-bash-4.2$ exit
logout
#
# systemctl start oddjobd.service
# su - qwe
Creating home directory for qwe.
Last login: Thu May 16 15:15:46 CEST 2013 on pts/0
$ pwd
/home/qwe
$ exit
logout
#

--- Additional comment from Nalin Dahyabhai on 2013-05-17 18:05:09 EDT ---

(In reply to comment #0)
> Description of problem:
> I believe oddjob supposed to start based on d-bus request but currently it
> can be started only as a normal service and on top of that it cannot be
> enabled (it does not survive reboot).

FWIW, it originally wasn't designed to be started by the bus, as it predates the bus being able to start things.  The daemon can register multiple service names when it's started, which may complicate things if we're looking at bus activation.

Fixing the can't-start-as-a-regular-service part is easier.

--- Additional comment from Fedora Update System on 2013-05-17 18:08:06 EDT ---

oddjob-0.31.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/oddjob-0.31.4-1.fc19

--- Additional comment from Fedora Update System on 2013-05-18 13:57:09 EDT ---

Package oddjob-0.31.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing oddjob-0.31.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8506/oddjob-0.31.4-1.fc19
then log in and leave karma (feedback).

--- Additional comment from Patrik Kis on 2013-05-20 04:42:07 EDT ---

The version oddjob-0.31.4-1.fc19 service can be enabled.

# systemctl disable oddjobd.service
# systemctl list-unit-files |grep oddjob
oddjobd.service                             disabled
# systemctl enable oddjobd.service
ln -s '/usr/lib/systemd/system/oddjobd.service' '/etc/systemd/system/multi-user.target.wants/oddjobd.service'
# systemctl list-unit-files |grep oddjob
oddjobd.service                             enabled 
# systemctl disable oddjobd.service
rm '/etc/systemd/system/multi-user.target.wants/oddjobd.service'
# systemctl list-unit-files |grep oddjob
oddjobd.service                             disabled
# /usr/sbin/authconfig --update --enablesssd --enablesssdauth --enablemkhomedir --nostart
# systemctl list-unit-files |grep oddjob
oddjobd.service                             enabled
Comment 1 Ondrej Moriš 2013-12-10 05:44:19 EST
Successfully verified in RHEL-7.0-20131111.1 by TJ#559298 [1]:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Setup
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Checking for the presence of oddjob rpm 
:: [   LOG    ] :: Package versions:
:: [   LOG    ] ::   oddjob-0.31.5-1.el7.ppc64
:: [   LOG    ] :: Duration: 2s
:: [   LOG    ] :: Assertions: 1 good, 0 bad
:: [   PASS   ] :: RESULT: Setup

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Test
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'systemctl disable oddjobd.service' (Expected 0, got 0)
:: [   PASS   ] :: Checking that oddjobd.service is disabled (Expected 0, got 0)
:: [   PASS   ] :: Running 'systemctl enable oddjobd.service' (Expected 0, got 0)
:: [   PASS   ] :: Checking that oddjobd.service is enabled (Expected 0, got 0)
:: [   LOG    ] :: Duration: 2s
:: [   LOG    ] :: Assertions: 4 good, 0 bad
:: [   PASS   ] :: RESULT: Test

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: Cleanup
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'systemctl disable oddjobd.service' (Expected 0, got 0)
:: [   LOG    ] :: Duration: 1s
:: [   LOG    ] :: Assertions: 1 good, 0 bad
:: [   PASS   ] :: RESULT: Cleanup

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: /CoreOS/oddjob/Regression/bz967025-oddjob-can-not-be-enabled-via-systemctl
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   LOG    ] :: Phases: 3 good, 0 bad
:: [   PASS   ] :: RESULT: /CoreOS/oddjob/Regression/bz967025-oddjob-can-not-be-enabled-via-systemctl

[1] https://beaker.engineering.redhat.com/jobs/559298
Comment 2 Ludek Smid 2014-06-13 07:20:22 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.